Description

When we load a csv or dbf file as a table, and we load it in a View as an Event layer, it doesn't work.

I attach log file. (The message is "The layer doesn't have a geometry column.")

Associated revisions
Revision 43399 - 08/05/2017 01:41 PM - Joaquín  del Cerro Murciano

refs #4561, corregido que las transformaiones de eventtheme y join añadan la transformacion al store, y que el store invoque al setup de estas cuando
se añadan a el.

History
#1 - 07/25/2017 03:52 PM - Antonio Falciano
- Target version set to 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220)

Hi Mario,
I can reproduce the error you have reported when I add a CSV file without selecting the geometry fields in the Geometry tab of CSVStoreParameters
dialog and then try to add it as event theme in the view. Instead, if I select the geometry fields in the Geometry tab of CSVStoreParameters dialog, then
I can't try to add it as event theme because the table is not loaded in the "Apply a transformation" window. Unfortunately there aren't error messages in
the gvSIG.log.

#2 - 08/01/2017 11:21 AM - Joaquín  del Cerro Murciano
- Priority changed from Normal to High

#3 - 08/05/2017 01:42 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2830 (rev. org.gvsig.desktop-2.0.196)
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#4 - 08/11/2017 12:21 PM - Mario Carrera
- Status changed from Fixed to Closed
gvSIG.log 396 KB 07/25/2017 Mario Carrera
